yarn installを強制する方法のメモ

1 min読了の目安(約400字TECH技術記事

なんだかんだでZenn初投稿です。大したことがない内容ですみません。

yarn installを実行したときに実際はインストールしてほしいのにsuccess Already up-to-date.と出てしまうことがあります。これはpackage.jsonの内容とyarn.lockを照らし合わせて最新になっていると判断されるためです。

なんらかの理由で強制的にパッケージの再インストールをし直したいときは--check-filesオプションをつけてインストールします。

$ yarn install --check-files

[1/5] 🔍  Validating package.json...
[2/5] 🔍  Resolving packages...
[3/5] 🚚  Fetching packages...
[4/5] 🔗  Linking dependencies...

以上です。